<html>
<head>
<title>TestNG:  Test</title>
<link href="../testng.css" rel="stylesheet" type="text/css" />
<link href="../my-testng.css" rel="stylesheet" type="text/css" />

<style type="text/css">
.log { display: none;} 
.stack-trace { display: none;} 
</style>
<script type="text/javascript">
<!--
function flip(e) {
  current = e.style.display;
  if (current == 'block') {
    e.style.display = 'none';
    return 0;
  }
  else {
    e.style.display = 'block';
    return 1;
  }
}

function toggleBox(szDivId, elem, msg1, msg2)
{
  var res = -1;  if (document.getElementById) {
    res = flip(document.getElementById(szDivId));
  }
  else if (document.all) {
    // this is the way old msie versions work
    res = flip(document.all[szDivId]);
  }
  if(elem) {
    if(res == 0) elem.innerHTML = msg1; else elem.innerHTML = msg2;
  }

}

function toggleAllBoxes() {
  if (document.getElementsByTagName) {
    d = document.getElementsByTagName('div');
    for (i = 0; i < d.length; i++) {
      if (d[i].className == 'log') {
        flip(d[i]);
      }
    }
  }
}

// -->
</script>

</head>
<body>
<h2 align='center'>Test</h2><table border='1' align="center">
<tr>
<td>Tests passed/Failed/Skipped:</td><td>1/1/0</td>
</tr><tr>
<td>Started on:</td><td>Thu Feb 29 20:54:13 IST 2024</td>
</tr>
<tr><td>Total time:</td><td>75 seconds (75541 ms)</td>
</tr><tr>
<td>Included groups:</td><td></td>
</tr><tr>
<td>Excluded groups:</td><td></td>
</tr>
</table><p/>
<small><i>(Hover the method name to see the test class name)</i></small><p/>
<table width='100%' border='1' class='invocation-failed'>
<tr><td colspan='4' align='center'><b>FAILED CONFIGURATIONS</b></td></tr>
<tr><td><b>Test method</b></td>
<td width="30%"><b>Exception</b></td>
<td width="10%"><b>Time (seconds)</b></td>
<td><b>Instance</b></td>
</tr>
<tr>
<td title='com.webengage.mobile_automation.tests.InAppCampaignTest.tearDown()'><b>tearDown</b><br>Test class: com.webengage.mobile_automation.tests.InAppCampaignTest<br>Parameters: [TestResult name=testInAppCamp status=FAILURE method=InAppCampaignTest.testInAppCamp(java.util.HashMap)[pri:0, instance:com.webengage.mobile_automation.tests.InAppCampaignTest@1e6454ec] output={null}]</td>
<td><div><pre>java.lang.AssertionError: java.lang.AssertionError
	at org.junit.Assert.fail(Assert.java:89)
	at com.webengage.mobile_automation.utils.CustomAssertions.displayAndLogError(CustomAssertions.java:11)
	at com.webengage.mobile_automation.utils.CustomAssertions.assertTrue(CustomAssertions.java:45)
	at com.webengage.mobile_automation.tests.InAppCampaignTest.tearDown(InAppCampaignTest.java:89)
	at java.base/java.util.ArrayList.forEach(ArrayList.java:1511)
... Removed 30 stack frames</pre></div><a href='#' onClick='toggleBox("stack-trace182755121", this, "Click to show all stack frames", "Click to hide stack frames")'>Click to show all stack frames</a>
<div class='stack-trace' id='stack-trace182755121'><pre>java.lang.AssertionError: java.lang.AssertionError
	at org.junit.Assert.fail(Assert.java:89)
	at com.webengage.mobile_automation.utils.CustomAssertions.displayAndLogError(CustomAssertions.java:11)
	at com.webengage.mobile_automation.utils.CustomAssertions.assertTrue(CustomAssertions.java:45)
	at com.webengage.mobile_automation.tests.InAppCampaignTest.tearDown(InAppCampaignTest.java:89)
	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:104)
	at java.base/java.lang.reflect.Method.invoke(Method.java:578)
	at org.testng.internal.invokers.MethodInvocationHelper.invokeMethod(MethodInvocationHelper.java:135)
	at org.testng.internal.invokers.MethodInvocationHelper.invokeMethodConsideringTimeout(MethodInvocationHelper.java:65)
	at org.testng.internal.invokers.ConfigInvoker.invokeConfigurationMethod(ConfigInvoker.java:381)
	at org.testng.internal.invokers.ConfigInvoker.invokeConfigurations(ConfigInvoker.java:319)
	at org.testng.internal.invokers.TestInvoker.runConfigMethods(TestInvoker.java:803)
	at org.testng.internal.invokers.TestInvoker.runAfterConfigurations(TestInvoker.java:772)
	at org.testng.internal.invokers.TestInvoker.invokeMethod(TestInvoker.java:748)
	at org.testng.internal.invokers.TestInvoker.invokeTestMethod(TestInvoker.java:220)
	at org.testng.internal.invokers.MethodRunner.runInSequence(MethodRunner.java:50)
	at org.testng.internal.invokers.TestInvoker$MethodInvocationAgent.invoke(TestInvoker.java:945)
	at org.testng.internal.invokers.TestInvoker.invokeTestMethods(TestInvoker.java:193)
	at org.testng.internal.invokers.TestMethodWorker.invokeTestMethods(TestMethodWorker.java:146)
	at org.testng.internal.invokers.TestMethodWorker.run(TestMethodWorker.java:128)
	at java.base/java.util.ArrayList.forEach(ArrayList.java:1511)
	at org.testng.TestRunner.privateRun(TestRunner.java:808)
	at org.testng.TestRunner.run(TestRunner.java:603)
	at org.testng.SuiteRunner.runTest(SuiteRunner.java:429)
	at org.testng.SuiteRunner.runSequentially(SuiteRunner.java:423)
	at org.testng.SuiteRunner.privateRun(SuiteRunner.java:383)
	at org.testng.SuiteRunner.run(SuiteRunner.java:326)
	at org.testng.SuiteRunnerWorker.runSuite(SuiteRunnerWorker.java:52)
	at org.testng.SuiteRunnerWorker.run(SuiteRunnerWorker.java:95)
	at org.testng.TestNG.runSuitesSequentially(TestNG.java:1249)
	at org.testng.TestNG.runSuitesLocally(TestNG.java:1169)
	at org.testng.TestNG.runSuites(TestNG.java:1092)
	at org.testng.TestNG.run(TestNG.java:1060)
	at org.testng.remote.AbstractRemoteTestNG.run(AbstractRemoteTestNG.java:115)
	at org.testng.remote.RemoteTestNG.initAndRun(RemoteTestNG.java:251)
	at org.testng.remote.RemoteTestNG.main(RemoteTestNG.java:77)
</pre></div></td>
<td>0</td>
<td>com.webengage.mobile_automation.tests.InAppCampaignTest@1e6454ec</td></tr>
</table><p>
<table width='100%' border='1' class='invocation-failed'>
<tr><td colspan='4' align='center'><b>FAILED TESTS</b></td></tr>
<tr><td><b>Test method</b></td>
<td width="30%"><b>Exception</b></td>
<td width="10%"><b>Time (seconds)</b></td>
<td><b>Instance</b></td>
</tr>
<tr>
<td title='com.webengage.mobile_automation.tests.InAppCampaignTest.testInAppCamp()'><b>testInAppCamp</b><br>Test class: com.webengage.mobile_automation.tests.InAppCampaignTest<br>Parameters: {template={"Expected":{
      "Type":"Header",
      "Name":"Pause Test Campaign 2",
      "Content":{
         "MessageCard":{
            "Title":"Popout Modal Title",
            "PopoutModalLayoutDescription":"In App Campaign Popout check with Icon link",
            "Icon":"https://cdn-site-assets.veed.io/Experimenting_Panda_9ce57391cb/Experimenting_Panda_9ce57391cb.webp?width=640&quality=75"
         },
         "ButtonCardPopoutModalLayout":{
            "PopoutButtonLabel":"Click"
         }
      }
   }}, campaign_name=Pause Test Campaign 2, user_id=TestUser001}</td>
<td><div><pre>org.openqa.selenium.TimeoutException: Expected condition failed: waiting for visibility of Located by By.xpath: //div[@class=&apos;n-preview-title&apos;]/div (tried for 15 second(s) with 500 milliseconds interval)
	at org.openqa.selenium.support.ui.WebDriverWait.timeoutException(WebDriverWait.java:84)
	at org.openqa.selenium.support.ui.FluentWait.until(FluentWait.java:229)
	at com.webengage.mobile_automation.utils.BaseSetup.getText(BaseSetup.java:133)
	at com.webengage.mobile_automation.pages.InAppCampaignView.lambda$3(InAppCampaignView.java:110)
	at java.base/java.util.HashMap$KeySet.forEach(HashMap.java:1016)
	at com.webengage.mobile_automation.pages.InAppCampaignView.validateMessageContents(InAppCampaignView.java:97)
	at com.webengage.mobile_automation.pages.InAppCampaignView.lambda$1(InAppCampaignView.java:58)
	at java.base/java.util.HashMap$KeySet.forEach(HashMap.java:1016)
	at com.webengage.mobile_automation.pages.InAppCampaignView.validateContents(InAppCampaignView.java:54)
	at com.webengage.mobile_automation.tests.InAppCampaignTest.testInAppCamp(InAppCampaignTest.java:79)
	at java.base/java.util.ArrayList.forEach(ArrayList.java:1511)
Caused by: org.openqa.selenium.NoSuchElementException: Can&apos;t locate an element by this strategy: By.xpath: //div[@class=&apos;n-preview-title&apos;]/div
	at io.appium.java_client.pagefactory.AppiumElementLocator.findElement(AppiumElementLocator.java:166)
	at io.appium.java_client.pagefactory.interceptors.InterceptorOfASingleElement.call(InterceptorOfASingleElement.java:64)
	at io.appium.java_client.proxy.Interceptor.intercept(Interceptor.java:77)
	at org.openqa.selenium.remote.RemoteWebElement$ByteBuddy$SEgwC6ld.isDisplayed(Unknown Source)
	at org.openqa.selenium.support.ui.ExpectedConditions.elementIfVisible(ExpectedConditions.java:304)
	at org.openqa.selenium.support.ui.ExpectedConditions$10.apply(ExpectedConditions.java:290)
	at org.openqa.selenium.support.ui.ExpectedConditions$10.apply(ExpectedConditions.java:287)
	at org.openqa.selenium.support.ui.FluentWait.until(FluentWait.java:204)
	... 34 more
Caused by: org.openqa.selenium.TimeoutException: Expected condition failed: waiting for io.appium.java_client.pagefactory.AppiumElementLocator$WaitingFunction@efe75a2 (tried for 1 second(s) with 500 milliseconds interval)
	at org.openqa.selenium.support.ui.FluentWait.timeoutException(FluentWait.java:261)
	at org.openqa.selenium.support.ui.FluentWait.until(FluentWait.java:229)
	at io.appium.java_client.pagefactory.AppiumElementLocator.waitFor(AppiumElementLocator.java:135)
	at io.appium.java_client.pagefactory.AppiumElementLocator.findElement(AppiumElementLocator.java:160)
	... 41 more
Caused by: org.openqa.selenium.NoSuchElementException: no such element: Unable to locate element: {&quot;method&quot;:&quot;xpath&quot;,&quot;selector&quot;:&quot;//div[@class=&apos;n-preview-title&apos;]/div&quot;}
  (Session info: chrome=121.0.6167.178)
For documentation on this error, please visit: https://www.selenium.dev/documentation/webdriver/troubleshooting/errors#no-such-element-exception
Build info: version: &apos;4.16.1&apos;, revision: &apos;9b4c83354e&apos;
System info: os.name: &apos;Mac OS X&apos;, os.arch: &apos;aarch64&apos;, os.version: &apos;14.0&apos;, java.version: &apos;19&apos;
Driver info: io.appium.java_client.android.AndroidDriver
Command: [c3085214-8a3d-4c30-bc9a-666c31ba331b, findElement {using=xpath, value=//div[@class=&apos;n-preview-title&apos;]/div}]
Capabilities {appium:app: /Users/reggiesanthony/git/m..., appium:appPackage: com.webengage.production, appium:automationName: UiAutomator2, appium:chromedriverExecutable: /Users/reggiesanthony/git/m..., appium:databaseEnabled: false, appium:desired: {app: /Users/reggiesanthony/git/m..., automationName: UiAutomator2, chromedriverExecutable: /Users/reggiesanthony/git/m..., deviceForm: virtual, noReset: false, platformName: ANDROID, platformVersion: 11.0, udid: emulator-5554}, appium:deviceApiLevel: 30, appium:deviceForm: virtual, appium:deviceManufacturer: Google, appium:deviceModel: sdk_gphone_arm64, appium:deviceName: emulator-5554, appium:deviceScreenDensity: 440, appium:deviceScreenSize: 1080x2280, appium:deviceUDID: emulator-5554, appium:javascriptEnabled: true, appium:locationContextEnabled: false, appium:networkConnectionEnabled: true, appium:noReset: false, appium:pixelRatio: 2.75, appium:platformVersion: 11, appium:statBarHeight: 66, appium:takesScreenshot: true, appium:udid: emulator-5554, appium:viewportRect: {height: 2214, left: 0, top: 66, width: 1080}, appium:warnings: {}, appium:webStorageEnabled: false, platformName: ANDROID}
Session ID: c3085214-8a3d-4c30-bc9a-666c31ba331b
	at org.openqa.selenium.remote.codec.w3c.W3CHttpResponseCodec.createException(W3CHttpResponseCodec.java:200)
	at org.openqa.selenium.remote.codec.w3c.W3CHttpResponseCodec.decode(W3CHttpResponseCodec.java:133)
	at org.openqa.selenium.remote.codec.w3c.W3CHttpResponseCodec.decode(W3CHttpResponseCodec.java:52)
	at org.openqa.selenium.remote.HttpCommandExecutor.execute(HttpCommandExecutor.java:191)
	at io.appium.java_client.remote.AppiumCommandExecutor.execute(AppiumCommandExecutor.java:238)
	at org.openqa.selenium.remote.RemoteWebDriver.execute(RemoteWebDriver.java:523)
	at org.openqa.selenium.remote.ElementLocation$ElementFinder$2.findElement(ElementLocation.java:165)
	at org.openqa.selenium.remote.ElementLocation.findElement(ElementLocation.java:59)
	at org.openqa.selenium.remote.RemoteWebDriver.findElement(RemoteWebDriver.java:360)
	at org.openqa.selenium.remote.RemoteWebDriver.findElement(RemoteWebDriver.java:354)
	at io.appium.java_client.pagefactory.bys.ContentMappedBy.findElement(ContentMappedBy.java:53)
	at org.openqa.selenium.remote.ElementLocation$ElementFinder$1.findElement(ElementLocation.java:139)
	at org.openqa.selenium.remote.ElementLocation.findElement(ElementLocation.java:59)
	at org.openqa.selenium.remote.RemoteWebDriver.findElement(RemoteWebDriver.java:360)
	at org.openqa.selenium.remote.RemoteWebDriver.findElement(RemoteWebDriver.java:354)
	at io.appium.java_client.pagefactory.AppiumElementLocator.lambda$findElement$1(AppiumElementLocator.java:160)
	at io.appium.java_client.pagefactory.AppiumElementLocator$WaitingFunction.apply(AppiumElementLocator.java:217)
	at io.appium.java_client.pagefactory.AppiumElementLocator$WaitingFunction.apply(AppiumElementLocator.java:210)
	at org.openqa.selenium.support.ui.FluentWait.until(FluentWait.java:204)
	... 43 more
... Removed 28 stack frames</pre></div><a href='#' onClick='toggleBox("stack-trace1170072909", this, "Click to show all stack frames", "Click to hide stack frames")'>Click to show all stack frames</a>
<div class='stack-trace' id='stack-trace1170072909'><pre>org.openqa.selenium.TimeoutException: Expected condition failed: waiting for visibility of Located by By.xpath: //div[@class=&apos;n-preview-title&apos;]/div (tried for 15 second(s) with 500 milliseconds interval)
	at org.openqa.selenium.support.ui.WebDriverWait.timeoutException(WebDriverWait.java:84)
	at org.openqa.selenium.support.ui.FluentWait.until(FluentWait.java:229)
	at com.webengage.mobile_automation.utils.BaseSetup.getText(BaseSetup.java:133)
	at com.webengage.mobile_automation.pages.InAppCampaignView.lambda$3(InAppCampaignView.java:110)
	at java.base/java.util.HashMap$KeySet.forEach(HashMap.java:1016)
	at com.webengage.mobile_automation.pages.InAppCampaignView.validateMessageContents(InAppCampaignView.java:97)
	at com.webengage.mobile_automation.pages.InAppCampaignView.lambda$1(InAppCampaignView.java:58)
	at java.base/java.util.HashMap$KeySet.forEach(HashMap.java:1016)
	at com.webengage.mobile_automation.pages.InAppCampaignView.validateContents(InAppCampaignView.java:54)
	at com.webengage.mobile_automation.tests.InAppCampaignTest.testInAppCamp(InAppCampaignTest.java:79)
	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:104)
	at java.base/java.lang.reflect.Method.invoke(Method.java:578)
	at org.testng.internal.invokers.MethodInvocationHelper.invokeMethod(MethodInvocationHelper.java:135)
	at org.testng.internal.invokers.TestInvoker.invokeMethod(TestInvoker.java:673)
	at org.testng.internal.invokers.TestInvoker.invokeTestMethod(TestInvoker.java:220)
	at org.testng.internal.invokers.MethodRunner.runInSequence(MethodRunner.java:50)
	at org.testng.internal.invokers.TestInvoker$MethodInvocationAgent.invoke(TestInvoker.java:945)
	at org.testng.internal.invokers.TestInvoker.invokeTestMethods(TestInvoker.java:193)
	at org.testng.internal.invokers.TestMethodWorker.invokeTestMethods(TestMethodWorker.java:146)
	at org.testng.internal.invokers.TestMethodWorker.run(TestMethodWorker.java:128)
	at java.base/java.util.ArrayList.forEach(ArrayList.java:1511)
	at org.testng.TestRunner.privateRun(TestRunner.java:808)
	at org.testng.TestRunner.run(TestRunner.java:603)
	at org.testng.SuiteRunner.runTest(SuiteRunner.java:429)
	at org.testng.SuiteRunner.runSequentially(SuiteRunner.java:423)
	at org.testng.SuiteRunner.privateRun(SuiteRunner.java:383)
	at org.testng.SuiteRunner.run(SuiteRunner.java:326)
	at org.testng.SuiteRunnerWorker.runSuite(SuiteRunnerWorker.java:52)
	at org.testng.SuiteRunnerWorker.run(SuiteRunnerWorker.java:95)
	at org.testng.TestNG.runSuitesSequentially(TestNG.java:1249)
	at org.testng.TestNG.runSuitesLocally(TestNG.java:1169)
	at org.testng.TestNG.runSuites(TestNG.java:1092)
	at org.testng.TestNG.run(TestNG.java:1060)
	at org.testng.remote.AbstractRemoteTestNG.run(AbstractRemoteTestNG.java:115)
	at org.testng.remote.RemoteTestNG.initAndRun(RemoteTestNG.java:251)
	at org.testng.remote.RemoteTestNG.main(RemoteTestNG.java:77)
Caused by: org.openqa.selenium.NoSuchElementException: Can&apos;t locate an element by this strategy: By.xpath: //div[@class=&apos;n-preview-title&apos;]/div
	at io.appium.java_client.pagefactory.AppiumElementLocator.findElement(AppiumElementLocator.java:166)
	at io.appium.java_client.pagefactory.interceptors.InterceptorOfASingleElement.call(InterceptorOfASingleElement.java:64)
	at io.appium.java_client.proxy.Interceptor.intercept(Interceptor.java:77)
	at org.openqa.selenium.remote.RemoteWebElement$ByteBuddy$SEgwC6ld.isDisplayed(Unknown Source)
	at org.openqa.selenium.support.ui.ExpectedConditions.elementIfVisible(ExpectedConditions.java:304)
	at org.openqa.selenium.support.ui.ExpectedConditions$10.apply(ExpectedConditions.java:290)
	at org.openqa.selenium.support.ui.ExpectedConditions$10.apply(ExpectedConditions.java:287)
	at org.openqa.selenium.support.ui.FluentWait.until(FluentWait.java:204)
	... 34 more
Caused by: org.openqa.selenium.TimeoutException: Expected condition failed: waiting for io.appium.java_client.pagefactory.AppiumElementLocator$WaitingFunction@efe75a2 (tried for 1 second(s) with 500 milliseconds interval)
	at org.openqa.selenium.support.ui.FluentWait.timeoutException(FluentWait.java:261)
	at org.openqa.selenium.support.ui.FluentWait.until(FluentWait.java:229)
	at io.appium.java_client.pagefactory.AppiumElementLocator.waitFor(AppiumElementLocator.java:135)
	at io.appium.java_client.pagefactory.AppiumElementLocator.findElement(AppiumElementLocator.java:160)
	... 41 more
Caused by: org.openqa.selenium.NoSuchElementException: no such element: Unable to locate element: {&quot;method&quot;:&quot;xpath&quot;,&quot;selector&quot;:&quot;//div[@class=&apos;n-preview-title&apos;]/div&quot;}
  (Session info: chrome=121.0.6167.178)
For documentation on this error, please visit: https://www.selenium.dev/documentation/webdriver/troubleshooting/errors#no-such-element-exception
Build info: version: &apos;4.16.1&apos;, revision: &apos;9b4c83354e&apos;
System info: os.name: &apos;Mac OS X&apos;, os.arch: &apos;aarch64&apos;, os.version: &apos;14.0&apos;, java.version: &apos;19&apos;
Driver info: io.appium.java_client.android.AndroidDriver
Command: [c3085214-8a3d-4c30-bc9a-666c31ba331b, findElement {using=xpath, value=//div[@class=&apos;n-preview-title&apos;]/div}]
Capabilities {appium:app: /Users/reggiesanthony/git/m..., appium:appPackage: com.webengage.production, appium:automationName: UiAutomator2, appium:chromedriverExecutable: /Users/reggiesanthony/git/m..., appium:databaseEnabled: false, appium:desired: {app: /Users/reggiesanthony/git/m..., automationName: UiAutomator2, chromedriverExecutable: /Users/reggiesanthony/git/m..., deviceForm: virtual, noReset: false, platformName: ANDROID, platformVersion: 11.0, udid: emulator-5554}, appium:deviceApiLevel: 30, appium:deviceForm: virtual, appium:deviceManufacturer: Google, appium:deviceModel: sdk_gphone_arm64, appium:deviceName: emulator-5554, appium:deviceScreenDensity: 440, appium:deviceScreenSize: 1080x2280, appium:deviceUDID: emulator-5554, appium:javascriptEnabled: true, appium:locationContextEnabled: false, appium:networkConnectionEnabled: true, appium:noReset: false, appium:pixelRatio: 2.75, appium:platformVersion: 11, appium:statBarHeight: 66, appium:takesScreenshot: true, appium:udid: emulator-5554, appium:viewportRect: {height: 2214, left: 0, top: 66, width: 1080}, appium:warnings: {}, appium:webStorageEnabled: false, platformName: ANDROID}
Session ID: c3085214-8a3d-4c30-bc9a-666c31ba331b
	at java.base/jdk.internal.reflect.DirectConstructorHandleAccessor.newInstance(DirectConstructorHandleAccessor.java:67)
	at java.base/java.lang.reflect.Constructor.newInstanceWithCaller(Constructor.java:500)
	at java.base/java.lang.reflect.Constructor.newInstance(Constructor.java:484)
	at org.openqa.selenium.remote.codec.w3c.W3CHttpResponseCodec.createException(W3CHttpResponseCodec.java:200)
	at org.openqa.selenium.remote.codec.w3c.W3CHttpResponseCodec.decode(W3CHttpResponseCodec.java:133)
	at org.openqa.selenium.remote.codec.w3c.W3CHttpResponseCodec.decode(W3CHttpResponseCodec.java:52)
	at org.openqa.selenium.remote.HttpCommandExecutor.execute(HttpCommandExecutor.java:191)
	at io.appium.java_client.remote.AppiumCommandExecutor.execute(AppiumCommandExecutor.java:238)
	at org.openqa.selenium.remote.RemoteWebDriver.execute(RemoteWebDriver.java:523)
	at org.openqa.selenium.remote.ElementLocation$ElementFinder$2.findElement(ElementLocation.java:165)
	at org.openqa.selenium.remote.ElementLocation.findElement(ElementLocation.java:59)
	at org.openqa.selenium.remote.RemoteWebDriver.findElement(RemoteWebDriver.java:360)
	at org.openqa.selenium.remote.RemoteWebDriver.findElement(RemoteWebDriver.java:354)
	at io.appium.java_client.pagefactory.bys.ContentMappedBy.findElement(ContentMappedBy.java:53)
	at org.openqa.selenium.remote.ElementLocation$ElementFinder$1.findElement(ElementLocation.java:139)
	at org.openqa.selenium.remote.ElementLocation.findElement(ElementLocation.java:59)
	at org.openqa.selenium.remote.RemoteWebDriver.findElement(RemoteWebDriver.java:360)
	at org.openqa.selenium.remote.RemoteWebDriver.findElement(RemoteWebDriver.java:354)
	at io.appium.java_client.pagefactory.AppiumElementLocator.lambda$findElement$1(AppiumElementLocator.java:160)
	at io.appium.java_client.pagefactory.AppiumElementLocator$WaitingFunction.apply(AppiumElementLocator.java:217)
	at io.appium.java_client.pagefactory.AppiumElementLocator$WaitingFunction.apply(AppiumElementLocator.java:210)
	at org.openqa.selenium.support.ui.FluentWait.until(FluentWait.java:204)
	... 43 more
</pre></div></td>
<td>44</td>
<td>com.webengage.mobile_automation.tests.InAppCampaignTest@1e6454ec</td></tr>
</table><p>
<table width='100%' border='1' class='invocation-passed'>
<tr><td colspan='4' align='center'><b>PASSED TESTS</b></td></tr>
<tr><td><b>Test method</b></td>
<td width="30%"><b>Exception</b></td>
<td width="10%"><b>Time (seconds)</b></td>
<td><b>Instance</b></td>
</tr>
<tr>
<td title='com.webengage.mobile_automation.tests.InAppCampaignTest.testInAppCamp()'><b>testInAppCamp</b><br>Test class: com.webengage.mobile_automation.tests.InAppCampaignTest<br>Parameters: {template={"Expected": {
    "Type": "Header",
    "Name": "Pause Test Campaign",
    "Content": {
        "MessageCard": {
            "HeaderLayoutDescription": "Test1",
            "Icon": "https://cdn-icons-png.flaticon.com/128/7601/7601730.png"
        },
        "ButtonsCardHeaderLayout": {
            "CloseButtonLabel": "Close"
        }
    }
}}, campaign_name=Pause Test Campaign, user_id=TestUser001}</td>
<td></td>
<td>26</td>
<td>com.webengage.mobile_automation.tests.InAppCampaignTest@1e6454ec</td></tr>
</table><p>
</body>
</html>